<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

use Kufer\Admin\Classes\Settings\Helper\Tools\ReiterTermine;

$toolId = \ToolsAPI::TOOL_KURSUEBERSICHT_FA;
$settingsArray = array();
$objsettings = ToolSettingsAPI::getToolSettings($toolId);

$settingsArray = ReiterTermine::addReiterTerminKurstagStatus(
  $toolId,
  $objsettings,
  $settingsArray,
  'Reiter Termine',
  'Diese Einstellung ist dieselbe wie unter <em>KuferTools / Einstellungen / Teilnehmer / Belegte Kurse / Termineübersicht</em> '
    . 'Der ICS-Kalendar ist auch von dieser Einstellung betroffen.'
);

$setting = new Setting();
$setting->name = 'versteckeKurstageWieImRaumanzeigeprogramm';
$setting->description = 'Termine ausblenden, bei denen "nicht im Raumanzeigeprogramm anzeigen" gesetzt ist';
$setting->help = 'Gilt auch für den ICS-Kalender und "Alle meine Termine"';
$setting->subGroup = 'Reiter Termine';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'showSmsBetreff';
$setting->description = 'SMS Betreff anzeigen';
$setting->subGroup = 'Einstellungen für Anzeige des SMS Formulars';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

if (\DBWorkBASysSettings::isInlinguaMuenchen()) {
  $groupTerminStonieren = 'Termine verschieben/absagen';

  $setting = new Setting();
  $setting->name = 'terminStonierenEMailPlanung';
  $setting->description = 'E-Mail-Adresse der Kursplanung an die eine Kopie der Terminverschiebung/-absagung gesendet werden soll';
  $setting->subGroup = $groupTerminStonieren;
  $setting->toolId = $toolId;
  $setting->config->loadConfiguration(SC_INPUTNORMAL);
  array_push($settingsArray, $setting);

  $setting = new Setting();
  $setting->name = 'terminStonierenEMailFirmendienst';
  $setting->description = 'E-Mail-Adresse des Firmendienstes an die eine Kopie der Terminverschiebung/-absagung gesendet werden soll';
  $setting->subGroup = $groupTerminStonieren;
  $setting->toolId = $toolId;
  $setting->config->loadConfiguration(SC_INPUTNORMAL);
  array_push($settingsArray, $setting);
}